Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Help] emerge packages.mask et unmask (résolu)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 9:18 am    Post subject: [Help] emerge packages.mask et unmask (résolu) Reply with quote

Bonjour,

Pas vraiment nouveau de le monde linux mais dans le monde Gentoo, je suis ( je dois l'avouer ) assez perdu avec la gestion des packages gentoo. Je voulais mettre tcl_8.5, mais à ma grande suprise bien que la version soit stable elle ne l'ai pas pour gentoo :? . J'ai donc vu que pour pouvoir l'installer il fallait jouer avec les mask et unmask. Est ce que quelqu'un aurait la gentilesse de m'expliquer comment ca marche ? Dois-je commenter dans mask ou decommenter dans unmask ? ou les deux ? ca signifie quoi un package hard masked ?

D'avance merci


Last edited by bouriquo on Thu Feb 12, 2009 1:31 pm; edited 7 times in total
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Dec 18, 2008 9:44 am    Post subject: Reply with quote

'alute

Tcl-8.5.x est "hard-masked" par les mainteneurs du package car il y a au moins un bugreport critique ou bloquant d'ouvert pour le justifier par exemple ou un nb total de bugreport trop important se rapportant au package, etc.
Dans le cas de Tcl-8.5.x en l'occurrence :
Quote:

# MATSUU Takuto <matsuu@gentoo.org> (8 Mar 2008)
# Masked for Bug 173467
=dev-lang/tcl-8.5*
=dev-lang/tk-8.5*
>=net-im/coccinella-0.96.10

C'est une chaine de développement classique car ce n'est pas parce qu'un soft est considéré stable par son développeur qu'il l'est intégré dans un OS ;-)

Après, rien ne t'empèche de l'utiliser malgré tout lorsque tu sais de quoi il retourne ; çà évite de crier en cas de pépin :wink:
(Et si tu es en stable, pense également à le "dé-keyworder")
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
ppg
Apprentice
Apprentice


Joined: 05 Oct 2008
Posts: 178
Location: Toulouse

PostPosted: Thu Dec 18, 2008 9:50 am    Post subject: Reply with quote

Code:

eix tcl
* dev-lang/tcl
     Available versions:  8.4.15 8.4.18 (~)8.4.19 [M](~)8.5.1 [M](~)8.5.5 {debug threads}
     Homepage:            http://www.tcl.tk/
     Description:         Tool Command Language


La version 8.5 est hard masked, ce qui signifie que pour l'utiliser tu dois à la fois la démasquer dans package.unmask et package.keywords
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Thu Dec 18, 2008 9:55 am    Post subject: Reply with quote

Bonjour,

Difficile de faire plus clair que la doc officielle : handbook-x86

Normalement ça devrait répondre a tes questions.

Pour tcl-8.5.5 :
- Démasquer la version 8.5.5 :
Code:
echo "=dev-lang/tcl-8.5.5" >> /etc/portage/package.unmask

- Utiliser la branche test de l'arbre portage pour ce paquet :
Si tu es en 32bits :
Code:
echo "=dev-lang/tcl ~x86" >> /etc/portage/package.keywords

Si tu es en 64bits :
Code:
echo "=dev-lang/tcl ~amd64" >> /etc/portage/package.keywords


Normalement après ça tu devrais pouvoir emerger tcl.

Gaby

[edit] Doublement grilled .... [/edit]
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 10:26 am    Post subject: Reply with quote

Hello,

Merci beaucoup pour toutes ces précisions :D .

Gaby : Même si la doc est clair sur ce qu'il convient de faire, je n'ai pas réelement compris l'utilisation des packages.mask packages.unmask et packages.keyword. D'autant que si j'ai bien suivi sur la doc le .mask n'est pas dans /etc/portage mais /usr/portage/profile :? donc je m'y perds un peu ^^. Ma question était de savoir si il fallait que je modifie les deux fichiers .mask et unmask pour débloquer

ppg : Merci beaucoup de ta réponse, en fait si j'ai bien suivi le package tcl est bloqué à deux niveaux ? à la fois par la non stabilité de la lib et pour l'architecture c'est bien ça ?

boozo : Ok je comprends mieux ^^

Je vais décortiquer un peu plus alors :D
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Dec 18, 2008 10:51 am    Post subject: Reply with quote

Official Gentoo Handbook wrote:
Si un paquet a été masqué par les développeurs Gentoo et que vous voulez l'installer malgré les raisons précisées dans le fichier package.mask (par défaut dans le répertoire /usr/portage/profiles), ajoutez exactement la même ligne dans le fichier /etc/portage/package.unmask (ou dans un fichier de ce répertoire, si c'est un répertoire).


Ben.. c'est quand même clair et intuitif non ? pourquoi allez chercher midi à 14h ? :wink:
Si on veux utiliser qqch de masqué → utiliser package.unmask pour le rendre disponible
Si on veux masquer qqch → utiliser package.mask pour le rendre indisponible

Le keywording (juste au dessus dans la doc) c'est pareil mais pour l'architecture en effet.
Si tu est en profile stable il te faudra donc dé-keyworder en plus pour le rendre disponible (après le de-hardmask)
Si tu es en profile unstable : ntd !
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 11:45 am    Post subject: Reply with quote

Rire Boozo,

Je sais bien, mais j'aurais cru que juste commenter dans le mask aurait suffit, en fait il vérifie d'abord le fichier unmask puis le fichier mask c'est ca ?

++
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Thu Dec 18, 2008 11:49 am    Post subject: Reply with quote

boozo wrote:
Si on veux utiliser qqch de masqué → utiliser package.unmask pour le rendre disponible
Si on veux masquer qqch → utiliser package.mask pour le rendre indisponible

... en insistant lourdement sur le fait qu'on parle bien du répertoire /etc/portage !!! (il semble que la confusion vienne de là ;) )
Il ne faut en aucun cas toucher à /usr/portage : il fait partie du système et est mis automatiquement à jours suite aux différents --sync !
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Thu Dec 18, 2008 1:00 pm    Post subject: Reply with quote

bouriquo wrote:
Je sais bien, mais j'aurais cru que juste commenter dans le mask aurait suffit, en fait il vérifie d'abord le fichier unmask puis le fichier mask c'est ca ?

L'ordre de lecture des fichiers par emerge est le suivant :
/usr/portage/profile => /etc/portage/package.mask => /etc/portage/package.unmask
Ces 2 fichiers impactent le comportement d'emerge de la même façon que le fichier /usr/portage/profile sauf que ces fichiers de sont pas mis à jour lors d'une update.

Les fichiers dans /etc/portage n'existe pas au départ, à toi de les créer et d'y insérer les paquets.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 1:50 pm    Post subject: Reply with quote

Ok merci beaucoup ^^ je clôture donc le sujet .

++
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 1:57 pm    Post subject: Reply with quote

Euh une dernière question actuellement j'ai une version 8.4, si je fais un emerge de la 8.5.5, il va me faire une upgrade de la 8.4 à la 8.5 ou je vais avoir les deux libs qui cohabitent ? Dois je faire un unmerge de la 8.4 avant ou pas ...
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Thu Dec 18, 2008 2:02 pm    Post subject: Reply with quote

La 8.4 et la 8.5 ont le même n° de slot (SLOT 0). La 8.5 va donc remplacer automatiquement la 8.4
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Thu Dec 18, 2008 2:04 pm    Post subject: Reply with quote

Ah ok merci ^^

++ et désolé de toutes ces questions de newbies :D
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Fri Dec 19, 2008 12:21 pm    Post subject: Reply with quote

Bonjour,

Merci pour toutes les explications, j'ai reussi à compiler tcl en 8.5, cependant aprés j'ai eu un soucis avec expect, j'ai finis par reussir, mais j'aurais aimer savoir quel est la syntaxe exacte des atoms qu'on peut utiliser dans les .mask unmask et keyword ...
et savoir aussi pourquoi si je vais un emerge expect il ne me remonte pas le package expect 8.44 ??
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Fri Dec 19, 2008 12:31 pm    Post subject: Reply with quote

Humpf tout ça est tout de même super expliqué dans la doc officielle :|
_________________
membre officieux du SAV Ati GEntoo


Last edited by kwenspc on Fri Dec 19, 2008 12:41 pm; edited 1 time in total
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Fri Dec 19, 2008 12:40 pm    Post subject: Reply with quote

Ah oui ? et c'est indiqué ou ? car sincérement j'ai bien vu parler des packages.mask .unmask etc .. mais en aucun d'un cas de la syntaxe de atoms :cry:
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Fri Dec 19, 2008 12:57 pm    Post subject: Reply with quote

bouriquo wrote:
Ah oui ? et c'est indiqué ou ? car sincérement j'ai bien vu parler des packages.mask .unmask etc .. mais en aucun d'un cas de la syntaxe de atoms :cry:

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3&chap=3

ah ouais ça va pas loin en effet :?
Suis sûr d'avoir vu par le passé une description plus rigoureuse.
_________________
membre officieux du SAV Ati GEntoo
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Fri Dec 19, 2008 1:07 pm    Post subject: Reply with quote

bouriquo wrote:
et savoir aussi pourquoi si je vais un emerge expect il ne me remonte pas le package expect 8.44 ??

Tu vas un peu vite en version, c'est la 5.44 dont tu dois parler : expect
Comme tu le vois sur ce lien, la 5.44 est keywordée en ~arch, il faut donc rajouter ce paquet à ton package.keywords.

Pour les synthaxes des fichiers .mask et .unmask :
Code:
=découpage_portage/paquet_versionné

exemple :
Code:
=dev-lang/tcl-8.5.5

démasquera uniquement la version 8.5.5 de tcl.
Code:
>=dev-lang/tcl-8.5.5

démasquera les versions supérieure ou égale à 8.5.5
Back to top
View user's profile Send private message
pititjo
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 245
Location: Paris (France)

PostPosted: Fri Dec 19, 2008 1:22 pm    Post subject: Reply with quote

Il n'est pas toujours nécessaire d'indiquer la version du paquet dans l'atom : dev-lang/tcl est tout à fait valable et concerne toutes les versions du paquet.
_________________
pititjo.net
Le Mus. Et si c'était vrai ?
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Fri Dec 19, 2008 2:02 pm    Post subject: Reply with quote

pititjo wrote:
Il n'est pas toujours nécessaire d'indiquer la version du paquet dans l'atom : dev-lang/tcl est tout à fait valable et concerne toutes les versions du paquet.


Tu es sur de ton coup ? j'ai souvenir de me faire jeter par emerge régulièrement à cause de du versionnement. Par contre avec package.keywords, je suis sur que la version n'est pas indispensable.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Fri Dec 19, 2008 2:11 pm    Post subject: Reply with quote

Merci pour ces infos Gaby, mais je crois enfin faut que je le verifie encore, que lorsque j'avais mis dans mon unmask >=dev-lang/expect-5.44 si je faisais un emerge ou autre, il m'indiquait une erreur au niveau de mon fichier unmask.

Sinon concernant la recherche avec emerge --search il n'est pas censé ramener aussi les packages masqués ?
Back to top
View user's profile Send private message
pititjo
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 245
Location: Paris (France)

PostPosted: Fri Dec 19, 2008 2:16 pm    Post subject: Reply with quote

Gaby wrote:
pititjo wrote:
Il n'est pas toujours nécessaire d'indiquer la version du paquet dans l'atom : dev-lang/tcl est tout à fait valable et concerne toutes les versions du paquet.


Tu es sur de ton coup ? j'ai souvenir de me faire jeter par emerge régulièrement à cause de du versionnement. Par contre avec package.keywords, je suis sur que la version n'est pas indispensable.


Après vérification, il semblerait en effet que dans package.unmask il faille mettre la même atom que dans le mask. De toute façon, mieux vaux ne « dé-hard-masker » que la version que l'on souhaite, ça évite de mauvaises surprises plus tard.
_________________
pititjo.net
Le Mus. Et si c'était vrai ?
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Fri Dec 19, 2008 5:09 pm    Post subject: Reply with quote

bouriquo wrote:
Merci pour ces infos Gaby, mais je crois enfin faut que je le verifie encore, que lorsque j'avais mis dans mon unmask >=dev-lang/expect-5.44 si je faisais un emerge ou autre, il m'indiquait une erreur au niveau de mon fichier unmask.

Sinon concernant la recherche avec emerge --search il n'est pas censé ramener aussi les packages masqués ?


Forcement, expect est rangé dans dev-tcltk et pas dans dev-lang.

emerge --search te donne les paquets que trouve emerge. Tu peux utiliser eix pour checher un paquets dans toutes les branches.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Tue Jan 06, 2009 12:48 pm    Post subject: Reply with quote

Bonjour Gaby,

Merci pour ces infos, mais je ne comprends pas quelque chose. Pourquoi quand je fais un emerge par moment cela me donne les paquets masqués et parfois non ?

Merci
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Tue Jan 06, 2009 2:12 pm    Post subject: Reply with quote

bouriquo wrote:
Pourquoi quand je fais un emerge par moment cela me donne les paquets masqués et parfois non ?

Que veux-tu dire ?
emerge n'essaie d'installer que les paquets non masqués, ou plus exactement, les paquets qui apparaissent finalement comme non masqués après l'analyse des fichiers de masque situés dans /etc/portage.
Si tu parles des dépendances, alors, oui il est possible qu'une application nécessite l'installation d'une version précise et masquée d'un autre paquet. Dans ce cas, emerge te le dit et c'est à toi de faire en sorte de démasquer ledit paquet si tu trouves que c'est pertinent.
En principe, un paquet non masqué ne devrait pas dépendre d'un paquet masqué mais la perfection n'étant pas de ce monde, il y a parfois des oublis et des emmêlages de pinceaux ! :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum